Subject: Re: bug#56305: 29.0.50; 'yes-or-no-p' deselects minibuffer frame

From: Eli Zaretskii <[email-masked]>
Date: Mon, 18 Jul 2022 18:58:46 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: Alan Mackenzie <[email-masked]>,  Eli Zaretskii <[email-masked]>,
>   [email-masked]
> Date: Mon, 18 Jul 2022 10:58:09 -0400
> 
> Hmm... following the idea above, maybe select-frame/window should never
> call resize_mini_window, and instead that should only take place at the
> next redisplay.

That's exactly what happens: resize_mini_window just fiddles with some
variables, the actual resizing happens as part of redisplay.  It's the
moral equivalent of what happens when the user types "C-x ^".